// $Id: KeyNotExistsException.java,v 1.4.4.2 2004/03/12 06:48:49 starksm Exp $

/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache;


/**
 * A key in the cache does not exist, but we tried to access it.
 *
 * @author <a href="mailto:bela@jboss.org">Bela Ban</a>
 * @version $Revision: 1.4.4.2 $
 */
public class KeyNotExistsException extends CacheException
{

   /**
    * Constructor for KeyNotExistsException.
    */
   public KeyNotExistsException()
   {
      super();
   }

   /**
    * Constructor for KeyNotExistsException.
    *
    * @param msg Details
    */
   public KeyNotExistsException(String msg)
   {
      super(msg);
   }

}
